## Fetch day-wise analytics data for your livestreams `client.realtimeKit.livestreams.getLivestreamAnalyticsDaywise(stringappId, LivestreamGetLivestreamAnalyticsDaywiseParamsparams, RequestOptionsoptions?): LivestreamGetLivestreamAnalyticsDaywiseResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/daywise` Returns day-wise livestream analytics for the specified time range. ### Parameters - `appId: string` The app identifier tag. - `params: LivestreamGetLivestreamAnalyticsDaywiseParams` - `account_id: string` Path param: The account identifier tag. - `end_time?: number` Query param: Specify the end time as a Unix timestamp in seconds to access the livestream analytics. - `filters?: string` Query param: Optional filters for livestream analytics. - `start_time?: number` Query param: Specify the start time as a Unix timestamp in seconds to access the livestream analytics. ### Returns - `LivestreamGetLivestreamAnalyticsDaywiseResponse` - `data?: Array` - `count?: number` Count of total livestream sessions. - `date?: string | null` Analytics date. - `total_ingest_seconds?: number` Total time duration for which the input was given or the meeting was streamed. - `total_viewer_seconds?: number` Total view time for which the viewers watched the stream. - `success?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.realtimeKit.livestreams.getLivestreamAnalyticsDaywise('app_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.data); ``` #### Response ```json { "data": [ { "count": 4, "date": "2023-07-15", "total_ingest_seconds": 531, "total_viewer_seconds": 116 } ], "success": true } ```